	SUBROUTINE ASCII8(ITRANS)
	LOGICAL*1 MSG(12),ERR(14),EVEN(6),ODD(6),NOPRTY(12),MARK(6)
C
	DATA MSG/'8','-','B','i','t',' ','m','o','d','e',"15,"12/
	DATA ERR/'N','O','T',' ','A','L','L','O','W','E','D',"15,"12,0/
	DATA EVEN/'E','V','E','N',"15,"12/
	DATA ODD/'O','D','D',"15,"12,0/
	DATA NOPRTY/'N','O',' ','P','a','r','i','t','y',"15,"12,0/
	DATA MARK/'M','A','R','K',"15,"12/
C
C	  CHECK IF ANY INPUT FILES ARE OPEN - IF SO, THEN COMPLAIN
	IF((ITRANS.AND.2).EQ.0) GOTO 5
C	  AN INPUT FILE IS OPEN - MUST NOT CHANGE MODE--WOULD ABORT PROG
	DO 2 I=1,13
	J=ERR(I)
 2	CALL ENQUE(J)
	RETURN
C
 5	IF((ITRANS.AND."40).NE.0) GOTO 10
	ITRANS=ITRANS+"40
	DO 6 I=1,12
	J=MSG(I)
 6	CALL ENQUE(J)
	RETURN
C
 10	ITRANS=(ITRANS.AND."177737)
	TYPE *,'7-BIT MODE'
C	  NOW CHECK WHAT PARITY HE WANTS
	WRITE(5,15)
 15	FORMAT($,' (E)ven, (O)dd, (M)ark, or (N)o PARITY: ')
 20	I=ITTINR(IDUMMY)
	IF(I.LT.0) GOTO 20
	ITRANS=(ITRANS.AND."171777)
	IF(I.NE."105) GOTO 22
C	  EVEN PARITY
	ITRANS=ITRANS+"2000
	DO 21 I=1,6
	J=EVEN(I)
 21	CALL ENQUE(J)
	RETURN
 22	IF(I.NE."117) GOTO 26
C	  ODD PARITY
	ITRANS=ITRANS+"4000
	DO 23 I=1,5
	J=ODD(I)
 23	CALL ENQUE(J)
	RETURN
C	  NO PARITY
 26	IF(I.NE."116) GOTO 40
	DO 30 I=1,11
	J=NOPRTY(I)
 30	CALL ENQUE(J)
	RETURN
C	  MARK PARITY
 40	ITRANS=ITRANS+"6000
	DO 45 I=1,6
	J=MARK(I)
 45	CALL ENQUE(J)
	RETURN
	END
